export declare function useFormKitSchema(): {
    addComponent: (component?: string, props?: object, render?: string, formKitAttrs?: object) => object;
    addElement: (element?: string, children?: any[] | string, attrs?: object, render?: string, formKitAttrs?: object) => {
        $el: string;
        if: string;
        attrs: object;
        children: string | any[];
    };
    addGroup: (name: string, children?: object[], render?: string, formKitAttrs?: object) => {
        $formkit: string;
        if: string;
        name: string;
        children: object[];
    };
    addList: (name: string, children: object[], dynamic?: boolean, render?: string, formKitAttrs?: object) => {
        $formkit: string;
        if: string;
        name: string;
        dynamic: boolean;
        children: object[];
    };
    addListGroup: (children?: object[], render?: string, formKitAttrs?: object) => {
        $formkit: string;
        if: string;
        for: string[];
        key: string;
        index: string;
        children: object[];
    };
    addElementsInOuterDiv: (children?: object[], innerClass?: string, outerClass?: string, label?: string, help?: string, render?: string) => {
        $el: string;
        if: string;
        attrs: object;
        children: string | any[];
    };
};
