"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.primeOutputs = exports.primeInputs = void 0;
var _input = require("./input");
var _output = require("./output");
const primeInputs = exports.primeInputs = {
  primeAutoComplete: _input.primeAutoCompleteDefinition,
  primeInputText: _input.primeInputTextDefinition,
  primeInputNumber: _input.primeInputNumberDefinition,
  primeInputMask: _input.primeInputMaskDefinition,
  primePassword: _input.primePasswordDefinition,
  primeCheckbox: _input.primeCheckboxDefinition,
  primeToggleSwitch: _input.primeToggleSwitchDefinition,
  primeTextarea: _input.primeTextareaDefinition,
  primeEditor: _input.primeEditorDefinition,
  primeSelect: _input.primeSelectDefinition,
  primeMultiSelect: _input.primeMultiSelectDefinition,
  primeDatePicker: _input.primeDatePickerDefinition,
  primeSlider: _input.primeSliderDefinition,
  primeKnob: _input.primeKnobDefinition,
  primeRating: _input.primeRatingDefinition,
  primeRadioButton: _input.primeRadioButtonDefinition,
  primeColorPicker: _input.primeColorPickerDefinition,
  primeToggleButton: _input.primeToggleButtonDefinition,
  primeListbox: _input.primeListboxDefinition,
  primeSelectButton: _input.primeSelectButtonDefinition,
  primeCascadeSelect: _input.primeCascadeSelectDefinition,
  primeTreeSelect: _input.primeTreeSelectDefinition,
  primeInputOtp: _input.primeInputOtpDefinition
};
const primeOutputs = exports.primeOutputs = {
  primeOutputText: _output.primeOutputTextDefinition,
  primeOutputLink: _output.primeOutputLinkDefinition,
  primeOutputReference: _output.primeOutputReferenceDefinition,
  primeOutputNumber: _output.primeOutputNumberDefinition,
  primeOutputDate: _output.primeOutputDateDefinition,
  primeOutputBoolean: _output.primeOutputBooleanDefinition,
  primeOutputDuration: _output.primeOutputDurationDefinition,
  primeOutputList: _output.primeOutputListDefinition
};