"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.primeOutputTextDefinition = exports.primeOutputReferenceDefinition = exports.primeOutputNumberDefinition = exports.primeOutputListDefinition = exports.primeOutputLinkDefinition = exports.primeOutputDurationDefinition = exports.primeOutputDateDefinition = exports.primeOutputBooleanDefinition = void 0;
var _vue = require("@formkit/vue");
var _PrimeOutputText = _interopRequireDefault(require("../components/PrimeOutputText.vue"));
var _PrimeOutputDate = _interopRequireDefault(require("../components/PrimeOutputDate.vue"));
var _PrimeOutputNumber = _interopRequireDefault(require("../components/PrimeOutputNumber.vue"));
var _PrimeOutputLink = _interopRequireDefault(require("../components/PrimeOutputLink.vue"));
var _PrimeOutputBoolean = _interopRequireDefault(require("../components/PrimeOutputBoolean.vue"));
var _PrimeOutputDuration = _interopRequireDefault(require("../components/PrimeOutputDuration.vue"));
var _PrimeOutputList = _interopRequireDefault(require("../components/PrimeOutputList.vue"));
var _PrimeOutputReference = _interopRequireDefault(require("../components/PrimeOutputReference.vue"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const primeOutputTextDefinition = exports.primeOutputTextDefinition = (0, _vue.createInput)(_PrimeOutputText.default, {
  props: ["prefix", "suffix", "iconPrefix", "iconSuffix", "html"]
});
const primeOutputDateDefinition = exports.primeOutputDateDefinition = (0, _vue.createInput)(_PrimeOutputDate.default, {
  props: ["prefix", "suffix", "iconPrefix", "iconSuffix"]
});
const primeOutputNumberDefinition = exports.primeOutputNumberDefinition = (0, _vue.createInput)(_PrimeOutputNumber.default, {
  props: ["prefix", "suffix", "iconPrefix", "iconSuffix"]
});
const primeOutputLinkDefinition = exports.primeOutputLinkDefinition = (0, _vue.createInput)(_PrimeOutputLink.default, {
  props: ["prefix", "suffix", "iconPrefix", "iconSuffix", "title"]
});
const primeOutputReferenceDefinition = exports.primeOutputReferenceDefinition = (0, _vue.createInput)(_PrimeOutputReference.default, {
  props: ["prefix", "suffix", "iconPrefix", "iconSuffix", "reference", "internal", "linkComponentName", "title"]
});
const primeOutputBooleanDefinition = exports.primeOutputBooleanDefinition = (0, _vue.createInput)(_PrimeOutputBoolean.default, {
  props: ["prefix", "suffix", "iconPrefix", "iconSuffix", "trueValue", "falseValue"]
});
const primeOutputDurationDefinition = exports.primeOutputDurationDefinition = (0, _vue.createInput)(_PrimeOutputDuration.default, {
  props: ["prefix", "suffix", "iconPrefix", "iconSuffix"]
});
const primeOutputListDefinition = exports.primeOutputListDefinition = (0, _vue.createInput)(_PrimeOutputList.default, {
  props: ["prefix", "suffix", "iconPrefix", "iconSuffix", "divider", "itemClass", "dividerClass"]
});